# MOVE State

Returns a list of state changes over the given time range.

For the `STATUS` property the possible values are:

* `UNINITIALISED` - initial state
* `READY` -  after initialisation/setup, or after stopAutomaticDetection (in [Android](/move-platform/move-sdk-1.x/sdk/api-interface/android-1/android.md#stop-automatic-detection), or [iOS](/move-platform/move-sdk-1.x/sdk/api-interface/ios/services.md#stop-automatic-detection), or [React](/move-platform/move-sdk-1.x/sdk/api-interface/react-native/services.md#stop-automatic-detection))
* `RUNNING` -  after calling startAutomaticDetection (in [Android](/move-platform/move-sdk-1.x/sdk/api-interface/android-1/android.md#start-automatic-detection), or [iOS](/move-platform/move-sdk-1.x/sdk/api-interface/ios/services.md#start-automatic-detection), or [React](/move-platform/move-sdk-1.x/sdk/api-interface/react-native/services.md#start-automatic-detection))
* `ERROR` - something on the user device is wrong (e.g. permissions insufficient)

## history

<mark style="color:blue;">`GET`</mark> `https://sdk.dolph.in/state/v1_5/history`

Returns a list of state changes over the given time range.

For the `STATUS` property the possible values are:

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | String |             |

#### Query Parameters

| Name                                         | Type    | Description                                                                                                          |
| -------------------------------------------- | ------- | -------------------------------------------------------------------------------------------------------------------- |
| productId<mark style="color:red;">\*</mark>  | Integer |                                                                                                                      |
| contractId<mark style="color:red;">\*</mark> | String  |                                                                                                                      |
| properties                                   | String  | A comma separated list of state properties that shall be returned. At the moment the only possible value is 'STATUS' |
| from                                         | integer | A unix timestamp, start of query range.                                                                              |
| to                                           | integer | A unix timestamp, end of query range.                                                                                |
| limit                                        | integer | Maximum number of items to return, must be greater than or equal to zero.                                            |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "history": [
    {
      "data": {
        "STATUS": "RUNNING"
      },
      "timestamp": "2022-07-20T05:38:10.586Z"
    },
    {
      "data": {
        "STATUS": "READY"
      },
      "timestamp": "2022-07-20T04:38:10.586Z"
    },
    {
      "data": {
        "STATUS": "UNINITIALISED"
      },
      "timestamp": "2022-07-20T03:38:10.586Z"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/move-sdk-1.x/backend/move-state.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
